part of 'benefits_bloc.dart';

@immutable
class BenefitsState {
  const BenefitsState({
    this.status = StateStatus.idle,
    this.benefits = const [],
    this.exception,
  });

  final StateStatus status;
  final List<BenefitEntity> benefits;
  final Exception? exception;

  BenefitsState copyWith({
    StateStatus? status,
    List<BenefitEntity>? benefits,
    Exception? exception,
  }) {
    return BenefitsState(
      status: status ?? this.status,
      benefits: benefits ?? this.benefits,
      exception: exception,
    );
  }
}
